QuantLib: CPIBondHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
CPIBondHelper Class Reference

CPI bond helper for curve bootstrap. More...

`#include <ql/termstructures/yield/bondhelpers.hpp>`

Inheritance diagram for CPIBondHelper:
[legend]

## Public Member Functions
| CPIBondHelper (const Handle< Quote > &price, Natural settlementDays, Real faceAmount, const bool growthOnly, Real baseCPI, const Period &observationLag, const boost::shared_ptr< ZeroInflationIndex > &cpiIndex, CPI::InterpolationType observationInterpolation, const Schedule &schedule, const std::vector< Rate > &fixedRate, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, const Date &issueDate=Date(), const Calendar &paymentCalendar=Calendar(), const Period &exCouponPeriod=Period(), const Calendar &exCouponCalendar=Calendar(), const BusinessDayConvention exCouponConvention=Unadjusted, bool exCouponEndOfMonth=false, const bool useCleanPrice=true)
Additional inspectors
boost::shared_ptr< CPIBond > | cpiBond () const
Visitability
void | accept (AcyclicVisitor &)
Public Member Functions inherited from BondHelper
| BondHelper (const Handle< Quote > &price, const boost::shared_ptr< Bond > &bond, bool useCleanPrice=true)
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
boost::shared_ptr< Bond > | bond () const
bool | useCleanPrice () const
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | latestDate () const
| latest relevant date More...
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes
boost::shared_ptr< CPIBond > | cpiBond_
Protected Attributes inherited from BondHelper
boost::shared_ptr< Bond > | bond_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
bool | useCleanPrice_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_

## Detailed Description

CPI bond helper for curve bootstrap.